@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.catalog-item-placeholder{
    background-color: #e2dddd;
    border-radius: 6px;
    min-height: 280px;
    box-shadow: 0 3px 3px rgba($color: #000000, $alpha: 0.2);
    animation-name: loading;
    animation-timing-function: steps(10, end);
    animation-direction: alternate;
    animation-iteration-count: infinite;
    animation-duration: 600ms;
}

.university-item{
    border-radius: 6px;
    background-color: #fff;
    box-shadow: 0 3px 3px rgba($color: #000000, $alpha: 0.2);
    transition: all 200ms ease;
    position: relative;

    &-img{
        height: 100%;
        width: 100%;
        position: absolute;

        &::after{
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            border-radius: 6px;
            background-color: rgba($color: #000000, $alpha: 0.55);
            z-index: 0;
        }

        @include mq.media-up(sm){
            position: initial;
            height: 132px;

            &::after{
                display: none;
            }
        }

        @include mq.media-up(xl){
            height: 180px;
        }
    }

    &-badge{
        background-color: #ff7100;
    }

    @include mq.media-up(xl){
        &:hover{
            transform: translateY(-12px);
            box-shadow: 0 12px 12px rgba($color: #000000, $alpha: 0.1);
        }
    }
}